Page MenuHomePhabricator

1.36.0-wmf.20 deployment blockers
Closed, ResolvedPublicRelease

Details

Other Assignee
mmodell
Release Version
1.36.0-wmf.20
Release Date
Nov 30 2020, 12:00 AM

2020 week 49 1.36-wmf.20 Changes wmf/1.36.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, November 30th:

Monday November 30thTuesday, December 1stWednesday, December 2ndThursday, December 3rdFriday
Backports only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.19
Next: 1.36.0-wmf.21

Related Objects

Event Timeline

Change 644387 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.20] Branch commit for wmf/1.36.0-wmf.20

https://gerrit.wikimedia.org/r/644387

Change 644387 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.20] Branch commit for wmf/1.36.0-wmf.20

https://gerrit.wikimedia.org/r/644387

Mentioned in SAL (#wikimedia-operations) [2020-12-01T12:57:56Z] <hashar> Preparing deployment of 1.36.0-wmf.20 # T263186

So yesterday I have promoted the "testwikis" and today I have promoted the group1 wikis. The group0 wikis have NOT been promoted.

Mentioned in SAL (#wikimedia-operations) [2020-12-02T14:56:08Z] <hashar> Promoting group0 to 1.36.0-wmf.20 since I haven't done so yesterday :-\ # T263186

These 3 back ports get rid of deprecation warnings T269235 and T269236 seen in production in wmf.20:

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CategoryTree/+/644815
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/644816
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/644817

This is just deprecations, so it's not critical, however there might be quite a bit of the log spam in deprecation channel when wmf.20 hits group2, so I would recommend merging the backports.

@Pchelolo I probably should have filed a single task for those two. I will be out for rest of the day, but you have my blessing to have those fix deployed today!

Mentioned in SAL (#wikimedia-operations) [2020-12-02T20:56:22Z] <twentyafterfour> deploying backports for 1.36.0-wmf.20 refs T263186

Mentioned in SAL (#wikimedia-operations) [2020-12-02T22:38:46Z] <twentyafterfour@deploy1001> Synchronized php-1.36.0-wmf.20/includes/parser/: Deploying backports for wmf.20 refs T263186 (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2020-12-02T22:43:05Z] <twentyafterfour@deploy1001> Synchronized php-1.36.0-wmf.20/extensions/CategoryTree/: Deploying backport f6c2d74259b9 to wmf.20, bug: T269235 refs T263186 (duration: 01m 07s)

There was one occurrence of a logging issue on a request to a Parsoid server ( T269386 ) but that does not seem worth rolling back. Nothing else is showing in the log at least.

Change 645178 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] All wikis (except testwikis) to 1.36.0-wmf.18 refs T269396 and T263186

https://gerrit.wikimedia.org/r/645178

Change 645178 merged by jenkins-bot:
[operations/mediawiki-config@master] All wikis (except testwikis) to 1.36.0-wmf.18 refs T269396 and T263186

https://gerrit.wikimedia.org/r/645178

Rolled back due to an incompatibility of ParserOutput class signature between 1.36.0-wmf.18 and 1.36.0-wmf.20. That is an issue that has often hit us in the past and is tricky enough that we end up hitting it from time to time. The task is being worked on by all the appropriate people so it is on track, though I anticipate itl take a bit of time to address it or find a workaround and get the train unblocked.

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/645157 will fix the wmf.20 issue, however for wmf.21 I would like to take some time and try to get it right. If I don’t get it by Monday, we can revert on master too.

Urbanecm added a subscriber: Urbanecm.

Warning: I created {T269497} (available only to acl*security) and added it as a train blocker to this task.

Urbanecm removed a subtask: Restricted Task.Dec 5 2020, 2:41 PM

When the revert https://gerrit.wikimedia.org/r/c/mediawiki/core/+/645312 is merged by CI, I will promote group0/group1 wikis to 1.36.0-wmf.20. Not sure I can do the rest of the wikis since I have a personal appointment in two hours.